%define name kcmlaptop
%define version 0.82
%define release 8mdk

%define compiler gcc

Summary: Kcmlaptop - a laptop control panel for KDE
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp.kde.org/pub/kde/stable/1.1.1/apps/utils/%{name}-%{version}.tar.bz2
Patch: kcmlaptop-0.82-gcc-2.95.patch.bz2
Copyright: GPL
Group: Graphical desktop/KDE
BuildRoot: /var/tmp/%{name}-buildroot
BuildPreReq: qt-devel, kdelibs
Requires: kdebase >= 1.1.2 qt >= 1.44

%description
A KDE control panel for Laptops - puts a battery meter icon in the
control strip, also allows you to set up events to occur when the
battery power is running low.

%prep

%setup -q

%patch -p1 -b .gcc-2.95

%build
libtoolize --force
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
   CC=%{compiler} ./configure \
      --prefix=/usr \
      --disable-path-check \
      --with-install-root=$RPM_BUILD_ROOT

make

%install
make install-strip prefix=$RPM_BUILD_ROOT/usr

if [ -e $RPM_BUILD_ROOT/usr/share/doc ]; then
  mkdir -p $RPM_BUILD_ROOT/usr/doc
  mv $RPM_BUILD_ROOT/usr/share/doc $RPM_BUILD_ROOT/usr/doc/kde
fi

# (fg) Menu entry
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cat >$RPM_BUILD_ROOT/usr/lib/menu/kcmlaptop <<EOF
?package(kcmlaptop): command="/usr/bin/kcmlaptop" needs="X11" \
icon="laptop_settings.xpm" \
section="Configuration/Hardware" title="Laptop settings" \
longtitle="Configure your laptop's power saving features"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%files 
%defattr(-,root,root,755)
/usr/bin/kcmlaptop
/usr/share/icons/*xpm
/usr/share/icons/mini/*xpm
/usr/lib/menu/kcmlaptop
/usr/doc/kde/HTML/en/kcontrol/kcmlaptop/*

%changelog

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 0.82-8mdk

- Rebuilt on kenobi
- Modified menu entry

* Tue Mar 14 2000 Francis Galiegue <francis@mandrakesoft.com> 0.82-7mdk

- Added menu entry
- Some spec file fixes
- Let spec helper do its job

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.82-6mdk
- libtoolize --force.

* Mon Dec  6 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance

* Tue Oct  5 1999 Michael Koch <mkoch@mandrakesoft.com>
- Rewriting the spec file.
- Added gcc-2.95-patch
- Build for kde 1.1.2 and cooker

* Sat Jul 17 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rewriting the spec file.
- Build release.


# end of file
